CAD programy 4M
(dictsearch ename symbol [setnext])
Funkce dictreach vyhledává slovník (ename) pro položku zadanou řetězcem (symbol). Pokud je přítomny argument setnext a není nil, počítadlo vstupů je nastaveno tak, že následující volání dictnext vrátí vstup potom, co se jeden vrátí pomocí dictsearch volání.
; Create an entity list
(setq dictionary (list '(0 . "DICTIONARY") '(100 . "AcDbDictionary")))
; Create an entity from entity list
(setq xname (entmakex dictionary))
; Get the named object dictionary
(setq nmdict (namedobjdict))
; Add a record to dictionary table and returns the entity name of the object added
(setq newdict (dictadd nmdict "MY_DICTIONARY" xname))
; Create an entity list
(setq datalist (append (list '(0 . "XRECORD") '(100 . "AcDbXrecord")) '((1 . "MY_DATA") (10 1. 2. 3.) (70 . 33))))
; Create an entity from entity list
(setq xname (entmakex datalist))
; Add a record and returns the entity name of the object added to the dictionary.
(dictadd newdict "DATA_RECORD" xname)
; Searches the record and returns the record if found.
(setq newdictlist (dictsearch nmdict "MY_DICTIONARY"))